---
title: Starplot - Star Charts and Maps in Python
---

# Welcome to Starplot
![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/steveberardi/starplot/test.yml?style=for-the-badge&color=a2c185)
![Python](https://img.shields.io/pypi/pyversions/starplot?style=for-the-badge&color=85A2C1)
![PyPI](https://img.shields.io/pypi/v/starplot?style=for-the-badge&color=85C0C1)
![License](https://img.shields.io/github/license/steveberardi/starplot?style=for-the-badge&color=A485C1)



Starplot is a Python library for creating star charts and maps.

- ⭐ **Zenith Plots** - showing the stars from a specific time/location

- 🗺️ **Map Plots** - including North/South polar and Mercator projections

- 🔭 **Optic Plots** - simulates what you'll see through an optic (e.g. telescope) from a time/location

- 🪐 **Planets and Deep Sky Objects (DSOs)**

- 🎨 **Custom Styles** - for all objects

- 📥 **Export** - png, svg

- 🧭 **Label Collision Avoidance**

*Example charts and maps created with Starplot:*
<figure markdown>
  <img src="images/example_01.png" height="900" width="900">
  <figcaption>Zenith plot of the stars from a specific time/location (<a href="examples/#star-chart-for-timelocation">source code</a>)</figcaption>
</figure>

<figure markdown>
  <img src="images/example_03.png" width="900">
  <figcaption>Map around the constellation Orion, with M42 marked (<a href="examples/#map-of-orion">source code</a>)</figcaption>
</figure>


<figure markdown>
  <img src="images/example_05.png" width="900">
  <figcaption>Optic plot that shows what The Pleiades looked like through a refractor telescope on December 16, 2023 at 9pm PT from Palomar Mountain in California (<a href="examples/#optic-plot-of-the-pleiades-with-a-refractor-telescope">source code</a>)</figcaption>
</figure>


---

✨ [Check out more examples...](examples.md)
